org.apache.ignite.internal.processors.service

## Class ServiceCallContextHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.service.ServiceCallContextHolder

    public class ServiceCallContextHolder
    extends Object

Holder of the context of the service call.

### Constructor Summary

Constructors
Constructor and Description
`ServiceCallContextHolder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable ServiceCallContextImpl` `current()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceCallContextHolder

    public ServiceCallContextHolder()

### Method Detail

#### current

    @Nullable
    public static @Nullable ServiceCallContextImpl current()

Returns:
  Service call context of the current thread.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022